'use client'

import React, { useEffect, useRef } from 'react'

const AnimateGradSection = () => {
  const sectionRef = useRef<HTMLDivElement>(null)

  useEffect(() => {
    const observer = new IntersectionObserver(
      ([entry]) => {
        if (entry.isIntersecting) {
          entry.target.classList.add('ag-animate')
        } else {
          entry.target.classList.remove('ag-animate')
        }
      },
      {
        threshold: 0.1
      }
    )

    if (sectionRef.current) {
      observer.observe(sectionRef.current)
    }

    return () => {
      if (sectionRef.current) {
        observer.unobserve(sectionRef.current)
      }
    }
  }, [])

  return (
    <section className="ag-section" ref={sectionRef}>
      <div className="ag-container">
        <h1 className="ag-title">
          CS
          <span className="ag-span ag-span-y"><b className="ag-b">Y</b></span>
          <span className="ag-span ag-span-e"><b className="ag-b">E</b></span>
          <span className="ag-span ag-span-s">S</span>
          <span className="ag-span ag-span-exclamation">!</span>
        </h1>
      </div>
    </section>
  )
}

export default AnimateGradSection